[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: LDAPv3 supports LDAPv2 clients ?

Bruno Tobias Stella writes:
>   I'd like to know if LDAPv3 (OpenLDAP 2.1.22) support clients 
> accessing it, but requesting LDAPv2 ?

Yes and no.  From 'man slapd.conf':

allow <features>
   Specify a set of features (separated by white space) to allow
   (default none).

   bind_v2 allows acceptance of LDAPv2 bind requests.  Note that
   slapd(8) does not truely implement LDAPv2 (RFC 1777), now Historic
   (RFC 3494).